<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',12);
    $this->Cell(80);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=$registro["nombreie"];
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=$registro["resolucionie"];
		$rector=$registro["rectorie"];
	}
	$nomsede= $_GET['nomsede'];
    $this->Cell(40,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(80);
    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(80);
    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $this->Cell(80);
    $this->Cell(40,0,$nomsede,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $grupo=$_POST['grupoest'];
    $this->Cell(80);
    $this->Cell(40,0,'LISTA DE ESTUDIANTES CON CALIFICACIONES DEL GRADO '.substr($grupo,15,2).'-'.substr($grupo,17,1),0,0,'C');
    $this->Ln(5);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=$registro["nemoie"];
		$direccion=$registro["direccionie"];
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  rep'.$tiporeporte,0,0,'R');
}
}

// Creación del objeto de la clase heredada

$pdf = new PDF('P','mm','letter');

$danesede= $_GET['danesede'];
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
$contador="0";
include("../php/conexion-bdie.php");
$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
	$idestudiantematriculado=$FilaMatriculado["nuid"];
	$regestudiantes=mysql_query("Select nombres,apellidos From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiantesdesordenados[$contador][0]=$FilaEstudiante["apellidos"]." ".$FilaEstudiante["nombres"];
		$estudiantesdesordenados[$contador][1]=$idestudiantematriculado;
		$contador=$contador+1;
	}
}
// Ordenar el array ... 
if ($estudiantesdesordenados)
	sort($estudiantesdesordenados);
else
	$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C');

$tamañoletra=$_POST['tamanoletra'];
$tipoletra=$_POST['tipoletra'];
$pdf->SetFont($tipoletra,'',$tamañoletra);
include("../php/conexion-bdie.php");
$regasignaturas=mysql_query("Select * From datos_asignaturas Where idgrado='$grado' And danesede='$danesede' And estado='1' order by idasignatura",$db_basededatosie);
while ($FilaAsignatura=mysql_fetch_array($regasignaturas)){
	$idasignatura=$FilaAsignatura["idasignatura"];
	$asignatura=$FilaAsignatura["asignatura"];
	$ih=$FilaAsignatura["ih"];
	$docente="SIN DOCENTE";
	$regtitular=mysql_query("Select iddocente From datos_asignaturasdocentes Where idasignatura='$idasignatura' And idgrupo='$grupo'",$db_basededatosie);
	if(mysql_num_rows($regtitular)>0){
		$FilaTitular=mysql_fetch_array($regtitular);
		$iddocente=$FilaTitular["iddocente"];
		$regdocente=mysql_query("Select nombres,apellidos From datos_docentes Where iddocente='$iddocente'",$db_basededatosie);
		if(mysql_num_rows($regdocente)>0){
			$FilaDocente=mysql_fetch_array($regdocente);
			$docente=$FilaDocente["nombres"]." ".$FilaDocente["apellidos"];
		}
	}
	$pdf->AddPage();
	$pdf->SetMargins(15, 10, 10);
	$pdf->Ln(2);
	$pdf->Cell(185,5,$asignatura,1,1,'C');
	$pdf->Cell(80,5,'Docente: '.$docente,1,0,'L');$pdf->Cell(35,5,'Int. Horaria: '.$ih,1,0,'C');
	$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,0,'C');$pdf->Cell(30,5,'Periodo: '.$periodo,1,1,'C');
	$pdf->Ln(2);
	if ($tipoplanillaparanotas=="1"){
		$pdf->Cell(10,5,'No.:',1,0,'C');$pdf->Cell(85,5,'ESTUDIANTE',1,0,'C');$pdf->Cell(20,5,'FALLAS',1,0,'C');
		$pdf->Cell(35,5,'CALIFICACION',1,0,'C'); $pdf->Cell(35,5,'RECUPERACION',1,1,'C');
	}
	for ($i=0;$i<$contador;$i++) {
		$nombreestudiante=$estudiantesdesordenados[$i][0];
		$nuid=$estudiantesdesordenados[$i][1];
		if ($tipoplanillaparanotas=="1"){
			$pdf->SetFont($tipoletra,'',$tamañoletra);
			include("../php/conexion-bdie.php");
			$fallas="";$definitiva="";$recuperacion="";
			$regnotas=mysql_query("Select * From datos_notastipo1 Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='$periodo'",$db_basededatosie);
			if(mysql_num_rows($regnotas)>0){
				$FilaNotas=mysql_fetch_array($regnotas);
				if ($FilaNotas["fallas"])
					$fallas=number_format($FilaNotas["fallas"],1);
				if ($FilaNotas["definitiva"])
					$definitiva=number_format($FilaNotas["definitiva"],1);
			}
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(85,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(20,$tamañoletra-4,$fallas,1,0,'C');
			$pdf->Cell(35,$tamañoletra-4,$definitiva,1,0,'C');
			$regrecuperaciones=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='$periodo'",$db_basededatosie);
			if(mysql_num_rows($regrecuperaciones)>0){
				$FilaRecup=mysql_fetch_array($regrecuperaciones);
				if ($FilaRecup["recuperacion"])
					$recuperacion=number_format($FilaRecup["recuperacion"],1);
			}
			$pdf->Cell(35,$tamañoletra-4,$recuperacion,1,1,'C');
		}
	}
}

$pdf->Output();
?>